/**********************************************************************
 *
 * OIDtools.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: OIDtools.h 211 1999-03-25 03:13:42Z sjboddie $
 *
 *********************************************************************/


#ifndef OIDTOOLS_H
#define OIDTOOLS_H

#include "text_t.h"

// get first four characters of whatever string is passed in 
// OID. This returns the CLSU, HASH etc.
void get_head (const text_t &OID, text_t &head);

// returns (in top) the top level of OID (i.e. everything
// up until the first dot)
void get_top (const text_t &OID, text_t &top);

// checks if OID is top level (i.e. contains no dots)
bool is_top (const text_t &OID);

// is_classification checks OID to see if it's a classification
// or a document. I'm not sure how to do this - for now I'll just assume 
// all documents start with HASH and classifications start with something
// else.
bool is_classification (const text_t &OID);

// don't know how to do this yet either ...
bool contains_text (const text_t &OID);

// get_parents_array loads the parents array with all the parents of the
// document or classification specified by OID
// note that this function doesn't clear the parents array
void get_parents_array (const text_t &OID, text_tarray &parents);

// get_children loads the children array with all the children of the 
// document or classification specified by targetdoc
void get_children_array (const text_t &OID, text_tarray &children);

// get_parent returns the parent of the document or classification
// specified by OID
text_t get_parent (text_t OID);
  
// get_first_child loads child with the first
// child of OID
void get_first_child(const text_t &OID, text_t &child);


#endif
