/**********************************************************************
 *
 * librarymain.cpp -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: librarymain.cpp 226 1999-04-06 22:20:35Z rjmcnab $
 *
 *********************************************************************/

/*
   $Log$
   Revision 1.3  1999/04/06 22:20:35  rjmcnab
   Got browsefilter working.

   Revision 1.2  1999/03/05 03:53:54  sjboddie

   fixed some bugs

   Revision 1.1  1999/02/21 22:35:22  rjmcnab

   Initial revision.

 */


#include "receptionist.h"
#include "cgiwrapper.h"
#include "nullproto.h"
#include "collectserver.h"
#include "filter.h"
#include "browsefilter.h"
#include "queryfilter.h"
#include "infodbclass.h"
#include "mgsearch.h"
#include <assert.h>

int main () {
  receptionist recpt;
  nullproto nproto;
  
  // add a collection server for each collection ... (not implemented yet)
  collectserver cserver;
  gdbmclass gdbmhandler;
  mgsearchclass mgsearch;

  // add a null filter
  filterclass filter;
  cserver.add_filter (&filter);

  // add a browse filter
  browsefilterclass browsefilter;
  browsefilter.set_gdbmptr (&gdbmhandler);
  cserver.add_filter (&browsefilter);

  // add a query filter
  queryfilterclass queryfilter;
  queryfilter.set_gdbmptr (&gdbmhandler);
  queryfilter.set_mgsearchptr (&mgsearch);
  cserver.add_filter (&queryfilter);

  // inform collection server and everything it contains about its
  // collection name
  cserver.configure ("collection", "gberg");

  nproto.add_collectserver (&cserver);

  // add the protocol to the receptionist
  recpt.add_protocol (&nproto);

  cgiwrapper (recpt, "cnrub");
  return 0;
}

